Skip to main content
GET
/
top-traders
/
{token}
SDK
import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getTokenTopTraders('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');
[
  {
    "wallet": "<string>",
    "held": 123,
    "sold": 123,
    "holding": 123,
    "realized": 123,
    "unrealized": 123,
    "total": 123,
    "total_invested": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt

Use this file to discover all available pages before exploring further.

SDK Example

import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getTokenTopTraders('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

token
string
required

Response

200 - application/json

Successful response

wallet
string
held
number
sold
number
holding
number
realized
number
unrealized
number
total
number
total_invested
number